AjaxPageRenderer (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.ajax4jsf.renderkit.html.AjaxPageRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.renderkit.html
Class AjaxPageRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.ajax4jsf.renderkit.AjaxComponentRendererBase
                      org.ajax4jsf.renderkit.AjaxChildrenRenderer
                          org.ajax4jsf.renderkit.AjaxContainerRenderer
                              org.ajax4jsf.renderkit.html.AjaxPageRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.AjaxRenderer, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

    public class AjaxPageRenderer

extends org.ajax4jsf.renderkit.AjaxContainerRenderer

Author:
  shura Render full Html page for AJAX view. Facet "head" rendered in <head> of page.

Field Summary
`static java.lang.String` | `RENDERER_TYPE`

Fields inherited from class org.ajax4jsf.renderkit.AjaxContainerRenderer
`AJAX_FLAG_HEADER, AJAX_JSF_SCRIPT, AJAX_LOCATION_HEADER, AJAX_PARAMETER_NAME, AJAX_RESULT_GROUP_ATTR, AJAX_RESULT_GROUP_TAG, AJAX_RESULT_STYLE, AJAX_UPDATE_HEADER, AJAX_VIEW_STATE_ID, AJAX_VIEW_STATE_TAG, JSDOM_SCRIPT, SARISSA_SCRIPT`

Fields inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer
`SPECIAL_COMPONENTS_TYPES`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`AjaxPageRenderer()`

Method Summary
`void` | `doEncodeBegin(javax.faces.context.ResponseWriter out, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `doEncodeEnd(javax.faces.context.ResponseWriter out, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`boolean` | `getRendersChildren()`
`protected void` | `preEncodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.ajax4jsf.renderkit.AjaxContainerRenderer
`doDecode, encodeAjax, encodeChildren, getComponentClass`

Methods inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer
`encodeAjaxChildren, encodeAjaxComponent`

Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase
`getAdditionalScripts, getScripts`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeChildren, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer
`getHeaderScripts, getHeaderStyles`

Field Detail

### RENDERER_TYPE

    public static final java.lang.String RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### AjaxPageRenderer

    public AjaxPageRenderer()

Method Detail

### preEncodeBegin

    protected void preEncodeBegin(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)
                           throws java.io.IOException

  Overrides:
    `preEncodeBegin` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`
  Throws:
    `java.io.IOException`

### doEncodeBegin

    public void doEncodeBegin(javax.faces.context.ResponseWriter out,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                       throws java.io.IOException

  Overrides:
    `doEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### doEncodeEnd

    public void doEncodeEnd(javax.faces.context.ResponseWriter out,
                            javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `org.ajax4jsf.renderkit.AjaxContainerRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.